curl https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.get(
f"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/{job_id}",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const jobId = 'your-job-id';
const response = await fetch(
`https://platform.u1.archetypeai.app/api/fine-tuning/jobs/${jobId}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "fine_tuning.job",
"id": "your-job-id",
"name": "my-tune",
"model": "newton",
"created_at": 1765201323,
"org_id": "your-org",
"status": "RUNNING",
"checkpoint_id": null,
"fine_tuned_model": null,
"finished_at": null,
"outcome": null,
"seed": 42,
"user_provided_suffix": "v2",
"training_files": ["fil_..."],
"validation_files": ["fil_..."],
"errors": []
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Fine-Tuning Service
Get Fine-tuning Job Details
Get a fine-tuning job by ID
GET
/
fine-tuning
/
jobs
/
{id}
curl https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.get(
f"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/{job_id}",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const jobId = 'your-job-id';
const response = await fetch(
`https://platform.u1.archetypeai.app/api/fine-tuning/jobs/${jobId}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "fine_tuning.job",
"id": "your-job-id",
"name": "my-tune",
"model": "newton",
"created_at": 1765201323,
"org_id": "your-org",
"status": "RUNNING",
"checkpoint_id": null,
"fine_tuned_model": null,
"finished_at": null,
"outcome": null,
"seed": 42,
"user_provided_suffix": "v2",
"training_files": ["fil_..."],
"validation_files": ["fil_..."],
"errors": []
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Requires version 1.1.5 or later of the Archetype platform.
Overview
Returns details about a fine-tuning job, given its TypeID-encoded ID.Request
The fine-tuning job ID for which to return details. This is a TypeID-encoded identifier with
the
FineTuningJobId prefix.Response
Returns a description of the specified fine-tuning job.The job’s current lifecycle stage. One of
PENDING, ADMITTED, RUNNING, COMPLETED, FAILED, PREEMPTED, CANCELLED, PAUSED, INTERRUPTED.If and only if the job’s
status is COMPLETED, this property’s value indicates how the
job completed. It is set once upon completion and is never set for a job which is not
completed; for incomplete jobs, this value is always omitted. v1.1.5+For completed jobs, the following values are possible:| Value | Description |
|---|---|
SUCCESS | None of the job’s inputs failed. |
PARTIAL | At least one of the job’s inputs failed, but the job still produced at least one artifact (either a job_outputs entry or a checkpoints entry). |
FAILED | At least one input failed, and the job produced no artifacts at all (no outputs and no checkpoints). |
Failure detail when the job has failed, as the platform error envelope (a list of
{code, message, suggestion, error_uid}). Empty while the job is queued/running or on success.Name of the model produced by the job. This is available once training has succeeded, but is
null until then.The Unix timestamp (in seconds) at which the job finished, or
null if it is not yet complete.For a
COMPLETED job, this indicates whether it succeeded fully (SUCCESS), partially
(PARTIAL), or produced nothing (FAILED); null for any non-completed status.curl https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.get(
f"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/{job_id}",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const jobId = 'your-job-id';
const response = await fetch(
`https://platform.u1.archetypeai.app/api/fine-tuning/jobs/${jobId}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "fine_tuning.job",
"id": "your-job-id",
"name": "my-tune",
"model": "newton",
"created_at": 1765201323,
"org_id": "your-org",
"status": "RUNNING",
"checkpoint_id": null,
"fine_tuned_model": null,
"finished_at": null,
"outcome": null,
"seed": 42,
"user_provided_suffix": "v2",
"training_files": ["fil_..."],
"validation_files": ["fil_..."],
"errors": []
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Was this page helpful?